Bug 115641 - DocumentFragment should be constructable
Summary: DocumentFragment should be constructable
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL: http://dom.spec.whatwg.org/#documentf...
Keywords:
Depends on:
Blocks: 115701
  Show dependency treegraph
 
Reported: 2013-05-06 07:24 PDT by Erik Arvidsson
Modified: 2014-01-15 02:10 PST (History)
5 users (show)

See Also:


Attachments
Patch (13.57 KB, patch)
2014-01-13 06:35 PST, László Langó
no flags Details | Formatted Diff | Diff
patch for landing (13.49 KB, patch)
2014-01-14 00:05 PST, László Langó
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Arvidsson 2013-05-06 07:24:37 PDT
http://dom.spec.whatwg.org/#interface-text

Make DocumentFragment constructable so that one can do "new DocumentFragment" instead of "document.createDocumentFragment()"
Comment 1 Erik Arvidsson 2013-05-06 07:26:09 PDT
http://dom.spec.whatwg.org/#documentfragment
Comment 2 László Langó 2014-01-13 06:35:27 PST
Created attachment 221036 [details]
Patch
Comment 3 Ryosuke Niwa 2014-01-13 08:29:34 PST
Comment on attachment 221036 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=221036&action=review

> Source/WebCore/ChangeLog:8
> +        http://dom.spec.whatwg.org/#documentfragment

Could you refer to http://www.w3.org/TR/2013/WD-dom-20131107/#interface-documentfragment instead
so that we know exactly what the specification looked like at the time this patch is committed?

This helps when the live specification gets modified in the future.
Comment 4 László Langó 2014-01-14 00:05:50 PST
Created attachment 221112 [details]
patch for landing
Comment 5 WebKit Commit Bot 2014-01-15 02:10:00 PST
Comment on attachment 221112 [details]
patch for landing

Clearing flags on attachment: 221112

Committed r162062: <http://trac.webkit.org/changeset/162062>
Comment 6 WebKit Commit Bot 2014-01-15 02:10:07 PST
All reviewed patches have been landed.  Closing bug.